Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84039 - redhat-config-packages 1.1.6 crash (traceback)
Summary: redhat-config-packages 1.1.6 crash (traceback)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-11 13:02 UTC by Mattias Dahlberg
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-31 22:13:28 UTC


Attachments (Terms of Use)

Description Mattias Dahlberg 2003-02-11 13:02:10 UTC
(redhat-config-packages 1.1.6-1 from rawhide)

When I try to use redhat-config-packages I get the following crash after 
clicking on Continue at Completed System Preparation:

Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py", line 252, 
in ?
    main_window.run()
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py", line 217, in 
run
    self.do_deps_check ()
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py", line 193, in 
do_deps_check
    self.run()
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py", line 219, in 
run
    self.do_install ()
  File "/usr/share/redhat-config-packages/SinglePackageWindow.py", line 206, in 
do_install
    self.method.installPackages(self.comps, self.progress_dialog)
  File "/usr/share/redhat-config-packages/method.py", line 221, in 
installPackages
    ts.setFlags(rpm.RPMTRANS_FLAG_ANACONDA)
AttributeError: 'module' object has no attribute 'RPMTRANS_FLAG_ANACONDA'

Maybe I'm just missing some other package from rawhide?

How reproducible:
Always

Steps to Reproduce:
1. redhat-install-packages [package]
2. click Continue at Completed System Preparation

Comment 1 Jeremy Katz 2003-02-11 13:33:08 UTC
You need a newer version of rpm.  I've bumped the requires in CVS so it'll get
picked up on the next rebuild

Comment 2 Mattias Dahlberg 2003-02-11 15:29:53 UTC
Confirmed. Actually I had the latest rpm (rpm-4.2-0.66) but after upgrading all 
the rpm-* packages it worked.




Note You need to log in before you can comment on or make changes to this bug.